#!/usr/bin/env bash

# Read COPYING for licensing details.

function dn_have_command
{
	[[ $(which "$1" 2>&1 /dev/null) ]]
}

function dn_have_file
{
	[[ -f "$1" ]]
}

function dn_try_by_lsb_release
{
	if [[ $(dn_have_command lsb_release) ]]
	then
		lsb_release -d | cut -d':' -f2 | sed -re 's,^[[:space:]]+,,'
		exit 0
	fi
}

function dn_try_by_file
{
	if dn_have_file "$1"
	then
		cat "$1"
		exit 0;
	fi
}

function dn_try_by_uname
{
	if dn_have_command uname && [[ $(uname -rs | grep -i "$1") ]]
	then
		uname -rs
		exit 0
	fi
}

function dn_not_found
{
	echo "Distribution name not found."
	echo "If you really want it, ask <juanmabc3@yahoo.com> to add it, and if you know how to get it and want to use it via distroname send it."
	exit 1
}


dn_try_by_lsb_release
dn_try_by_file "/etc/slackware-version"
dn_try_by_uname "FreeBSD"
dn_try_by_uname "SunOS"
dn_try_by_uname "CYGWIN"
dn_not_found
